# remirepo/fedora spec file for php-horde-Horde-Date-Parser
#
# Copyright (c) 2013-2019 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%{!?__pear:       %global __pear       %{_bindir}/pear}
%global pear_name    Horde_Date_Parser
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Date-Parser
Version:        2.0.7
Release:        1%{?dist}
Summary:        Horde Date Parser

License:        LGPLv2
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
BuildRequires: (php-pear(%{pear_channel}/Horde_Test)    >= 2.1.0  with php-pear(%{pear_channel}/Horde_Test)    < 3)
BuildRequires: (php-pear(%{pear_channel}/Horde_Date)    >= 2.0.0  with php-pear(%{pear_channel}/Horde_Date)    < 3)
BuildRequires: (php-pear(%{pear_channel}/Horde_Support) >= 2.0.0  with php-pear(%{pear_channel}/Horde_Support) < 3)
BuildRequires: (php-pear(%{pear_channel}/Horde_Util)    >= 2.0.0  with php-pear(%{pear_channel}/Horde_Util)    < 3)
%else
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
%endif

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-date
Requires:       php-pcre
Requires:       php-spl
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
Requires:      (php-pear(%{pear_channel}/Horde_Date)    >= 2.0.0  with php-pear(%{pear_channel}/Horde_Date)    < 3)
Requires:      (php-pear(%{pear_channel}/Horde_Support) >= 2.0.0  with php-pear(%{pear_channel}/Horde_Support) < 3)
Requires:      (php-pear(%{pear_channel}/Horde_Util)    >= 2.0.0  with php-pear(%{pear_channel}/Horde_Util)    < 3)
%else
Requires:       php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Date) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) <  3.0.0
%endif

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}
Provides:       php-composer(horde/horde-date-parser) = %{version}


%description
Library for natural-language date parsing, with support for multiple
languages and locales


%prep
%setup -q -c
cd %{pear_name}-%{version}
sed -e '/Parser/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml
touch -r ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)

ret=0
for cmd in php php56 php70 php71 php72 php73 php74; do
  if which $cmd; then
    $cmd %{_bindir}/phpunit --bootstrap=bootstrap.php . || ret=1
  fi
done
exit $ret


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Date/Parser
%{pear_phpdir}/Horde/Date/Parser.php
%doc %{pear_testdir}/%{pear_name}


%changelog
* Mon Nov 25 2019 Remi Collet <remi@remirepo.net> - 2.0.7-1
- update to 2.0.7

* Thu Oct 17 2019 Remi Collet <remi@remirepo.net> - 2.0.6-9
- add patch for PHP 7.4 from
  https://github.com/horde/Date_Parser/pull/1
- use range dependencies

* Fri Oct 13 2017 Remi Collet <remi@remirepo.net> - 2.0.6-4
- add upstream patch for PHP 7.2, FTBFS from Koschei

* Wed Jul 13 2016 Remi Collet <remi@fedoraproject.org> - 2.0.6-1
- Update to 2.0.6

* Mon Jun 27 2016 Remi Collet <remi@fedoraproject.org> - 2.0.5-2
- add patch to drop dependency on ereg

* Tue Feb 02 2016 Remi Collet <remi@fedoraproject.org> - 2.0.5-1
- Update to 2.0.5
- PHP 7 compatible version
- run test suite with both PHP 5 and 7 when available

* Tue Apr 28 2015 Remi Collet <remi@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4
- add dependency on Horde_Util

* Thu Jan 08 2015 Remi Collet <remi@fedoraproject.org> - 2.0.3-1
- Update to 2.0.3
- add provides php-composer(horde/horde-date-parser)

* Wed Mar 06 2013 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Mon Nov 19 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1 for remi repo

* Sun Nov 18 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- Initial package
